<CsoundSynthesizer>

<CsOptions>
-odac
</CsOptions>

<CsInstruments>

; "Unwanted Flight"  Severine Baron (Berklee College of Music. Spring 1998. Dr Boulanger's Csound Class.)


sr = 44100
kr = 4410.0
ksmps = 10
nchnls = 2



instr 4

gkpit   rand    .02
gkpit2  rand    .02, .2345
        endin

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


instr 1, 2, 5

ilast   =       2
iseed   =       p6
ivib    =       .015*iseed
ivoi    =       p8
krik    rand    8, .38413*iseed
kpik    rand    2, .5765*iseed

newvalue:

        idu     table   i(krik)   , 34, 0, 0, 1
        ipi     table   i((kpik+ilast)), 33, 0, 0, 1
        kpi     =       cpspch(ipi+p11)
        ipo     =       cpspch(ipi+p11)
        kvibenv expseg  ipo*.001, 1.5, ipo*ivib, idu-2, ipo*ivib, .5,  ipo*.015
        kbend   rand    .3, .629876*iseed
        kford   rand    1.5, .876*iseed
        ibend   =       i(kbend+.33)*i(kbend+.33)+.02
        igli    =       (idu/2)+.2
        ishifsp =       (i(kford+1.5)*i(kford+1.5)/idu)+.2
        ilast   =       i(kpik+ilast)

                timout  0, idu, go
                reinit newvalue
                rireturn
go:
gkpi    port    kpi, .03, cpspch(ipi+p11)
kam     randh   .25, 1, .46543*iseed
gkam    port    kam+.75, .5, p7


kshif   randh   5, ishifsp, -.4478*iseed
kshif   =       int(kshif+5)*9

kind    =       kshif
kif0    =       gkpi *(1+i(gkpit))
kif02   =       gkpi *(1+i(gkpit2))
iind    =       (p5*9)-9

ifif1   table   iind, ivoi, 0
ifif2   table   iind+1, ivoi, 0
ifif3   table   iind+2, ivoi, 0
iria1   table   iind+3, ivoi, 0
iria2   table   iind+4, ivoi, 0
iria3   table   iind+5, ivoi, 0

kdev1   table   kind+6, ivoi, 0
kdev2   table   kind+7, ivoi, 0
kdev3   table   kind+8, ivoi, 0

kdev1   randh   kdev1/2, ishifsp, .0980*iseed
kdev2   randh   kdev2/2, ishifsp, .6983*iseed
kdev3   randh   kdev3/2, ishifsp, .4*iseed

kfif1   table   kind, ivoi, 0
kfif2   table   kind+1, ivoi, 0
kfif3   table   kind+2, ivoi, 0
kria1   table   kind+3, ivoi, 0
kria2   table   kind+4, ivoi, 0
kria3   table   kind+5, ivoi, 0

kif1    port    kfif1+kdev1, igli, ifif1
kif2    port    kfif2+kdev2, igli, ifif2
kif3    port    kfif3+kdev3, igli, ifif3
kia1    port    kria1-10, igli, iria1
kia2    port    kria2, igli, iria2
kia3    port    kria3, igli, iria3

krandvib        randi   .15, 1.5, iseed*.123
krandvib2       randi   .14, 1.7, iseed*.1423
;kvibenv        expseg  p4*.001, 1.5, p4*ivib, p3-.35, p4*ivib, 1, p4*.015
kvib    oscil   kvibenv, 5.5*(1+krandvib), 1
kvib2   oscil   kvibenv, 5.6*(1+krandvib2), 1     

kenv    linseg  0.001, .1+p3*.1, 1, p3-(.2+p3*.15), 1, .1+p3*.05, 0.001

kdev    randi   .01, 12, iseed*.765
kdev    =       1+kdev
kdev2   randi   .01, 13, iseed*.8765
kdev2   =       1+kdev2

kpit    linseg  .95, .1, 1, p3-.2, 1, .1, 0.95

ar      fof     ampdb(kia1)*kenv*gkam,               kdev*kif0*kpit+kvib,   kif1,   .0,   50,   .003, .01, .007, 50, 1, 2, p3
ar1     fof     ampdb(kia2)*kenv*gkam*gkam,         kdev*kif0*kpit+kvib,   kif2,   .0,   100, .003, .01, .007, 50, 1, 2, p3
ar2     fof     ampdb(kia3)*kenv*gkam*gkam*gkam,   kdev*kif0*kpit+kvib,   kif3,   .0,   150, .003, .01, .007, 50, 1, 2, p3
ar3     fof     ampdb(kia3)*kenv*gkam*gkam*gkam*.7,   kdev*kif0*kpit+kvib,   kif3+1000,   .0,   150, .003, .01, .007, 50, 1, 2, p3

ag      fof     ampdb(kia1)*kenv*gkam,               kdev2*kif02*kpit+kvib2,   kif1,   .0,   50,   .003, .01, .007, 50, 1, 2, p3
ag1     fof     ampdb(kia2)*kenv*gkam*gkam,         kdev2*kif02*kpit+kvib2,   kif2,   .0,   100, .003, .01, .007, 50, 1, 2, p3
ag2     fof     ampdb(kia3)*kenv*gkam*gkam*gkam,   kdev2*kif02*kpit+kvib2,   kif3,   .0,   150, .003, .01, .007, 50, 1, 2, p3
ag3     fof     ampdb(kia3)*kenv*gkam*gkam*gkam*.7,   kdev2*kif02*kpit+kvib2,   kif3+1000,   .0,   150, .003, .01, .007, 50, 1, 2, p3


outs    (ar+ar1+ar2)+ar3, (ag+ag1+ag2)+ag3
        endin


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


instr 15

kmod    expseg  p5, .0151, p5*.06, p3*0.9, .005
asid    foscil  ampdb(p5), cpspch(p4), 2.380, 3.667, kmod, 1
asid2   foscil  ampdb(p5), cpspch(p4+.005), 2.383, 3.767, kmod, 1
agon    expseg  0.001, .0151, 1, .1, .7, p3*0.9, .005
outs    (asid)*agon, asid2*agon
        endin


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


instr 17

gkpit   rand    .02
gkpit2  rand    .02, .2345
        endin



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


instr 8, 9, 11

ilast   =       2
iseed   =       p6
ivib    =       .015*iseed
ivoi    =       p8
krik    rand    8, .38413*iseed
kpik    rand    2, .5765*iseed

newvalue:

        idu     table   i(krik)   , 34, 0, 0, 1
        ipi     table   i(kpik+ilast), 33, 0, 0, 1
        kpi     =       cpspch(ipi+p11)
        ipo     =       cpspch(ipi+p11)
        kvibenv expseg  ipo*.001, 1.5, ipo*ivib, idu-2, ipo*ivib, .5,  ipo*.015
        kbend   rand    .3, .629876*iseed
        kford   rand    1.5, .876*iseed
        ibend   =       i(kbend+.33)*i(kbend+.33)+.02
        igli    =       (idu/2)+.2
        ishifsp =       (i(kford+1.5)*i(kford+1.5)/idu)+.2
        ilast   =       i(kpik+ilast)

                timout  0, idu, go
                reinit newvalue
                rireturn
go:
gkpi    port    kpi, .03, cpspch(ipi+p11)
kam     randh   .25, 1, .46543*iseed
gkam    port    kam+.75, .5, p7


kshif   randh   5, ishifsp, -.4478*iseed
kshif   =       int(kshif+5)*9

kind    =       kshif
kif0    =       gkpi *(1+i(gkpit))
kif02   =       gkpi *(1+i(gkpit2))
iind    =       (p5*9)-9

ifif1   table   iind, ivoi, 0
ifif2   table   iind+1, ivoi, 0
ifif3   table   iind+2, ivoi, 0
iria1   table   iind+3, ivoi, 0
iria2   table   iind+4, ivoi, 0
iria3   table   iind+5, ivoi, 0

kdev1   table   kind+6, ivoi, 0
kdev2   table   kind+7, ivoi, 0
kdev3   table   kind+8, ivoi, 0

kdev1   randh   kdev1/2, ishifsp, .0980*iseed
kdev2   randh   kdev2/2, ishifsp, .6983*iseed
kdev3   randh   kdev3/2, ishifsp, .4*iseed

kfif1   table   kind, ivoi, 0
kfif2   table   kind+1, ivoi, 0
kfif3   table   kind+2, ivoi, 0
kria1   table   kind+3, ivoi, 0
kria2   table   kind+4, ivoi, 0
kria3   table   kind+5, ivoi, 0

kif1    port    kfif1+kdev1, igli, ifif1
kif2    port    kfif2+kdev2, igli, ifif2
kif3    port    kfif3+kdev3, igli, ifif3
kia1    port    kria1-10, igli, iria1
kia2    port    kria2, igli, iria2
kia3    port    kria3, igli, iria3

krandvib        randi   .15, 1.5, iseed*.123
krandvib2       randi   .14, 1.7, iseed*.1423
;kvibenv        expseg  p4*.001, 1.5, p4*ivib, p3-.35, p4*ivib, 1, p4*.015
kvib    oscil   kvibenv, 5.5*(1+krandvib), 1
kvib2   oscil   kvibenv, 5.6*(1+krandvib2), 1     

kenv    linseg  0.001, .1+p3*.1, 1, p3-(.2+p3*.15), 1, .1+p3*.05, 0.001

kdev    randi   .01, 12, iseed*.765
kdev    =       1+kdev
kdev2   randi   .01, 13, iseed*.8765
kdev2   =       1+kdev2

kpit    linseg  .95, .1, 1, p3-.2, 1, .1, 0.95

ar      fof     ampdb(kia1)*kenv*gkam,               kdev*kif0*kpit+kvib,   kif1,   .0,   50,   .003, .01, .007, 50, 1, 2, p3
ar1     fof     ampdb(kia2)*kenv*gkam*gkam,         kdev*kif0*kpit+kvib,   kif2,   .0,   100, .003, .01, .007, 50, 1, 2, p3
ar2     fof     ampdb(kia3)*kenv*gkam*gkam*gkam,   kdev*kif0*kpit+kvib,   kif3,   .0,   150, .003, .01, .007, 50, 1, 2, p3
ar3     fof     ampdb(kia3)*kenv*gkam*gkam*gkam*.7,   kdev*kif0*kpit+kvib,   kif3+1000,   .0,   150, .003, .01, .007, 50, 1, 2, p3

ag      fof     ampdb(kia1)*kenv*gkam,               kdev2*kif02*kpit+kvib2,   kif1,   .0,   50,   .003, .01, .007, 50, 1, 2, p3
ag1     fof     ampdb(kia2)*kenv*gkam*gkam,         kdev2*kif02*kpit+kvib2,   kif2,   .0,   100, .003, .01, .007, 50, 1, 2, p3
ag2     fof     ampdb(kia3)*kenv*gkam*gkam*gkam,   kdev2*kif02*kpit+kvib2,   kif3,   .0,   150, .003, .01, .007, 50, 1, 2, p3
ag3     fof     ampdb(kia3)*kenv*gkam*gkam*gkam*.7,   kdev2*kif02*kpit+kvib2,   kif3+1000,   .0,   150, .003, .01, .007, 50, 1, 2, p3


outs    ((ar+ar1+ar2)+ar3)*.9, ((ag+ag1+ag2)+ag3)*.9
        endin


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


instr 16

kmod    expseg  p5, .0151, p5*.06, p3*0.9, .005
asid    foscil  ampdb(p5), cpspch(p4), 2.380, 3.667, kmod, 1
asid2   foscil  ampdb(p5), cpspch(p4+.005), 2.383, 3.767, kmod, 1
agon    expseg  0.001, .0151, 1, .1, .7, p3*0.9, .005
outs    (asid)*agon, asid2*agon
        endin


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



instr    7

iamp     =        p4
ipitch   =        cpspch(p5)
ipanhz   =        p6
irandhz  =        p7
iminhz   =        p8
imaxhz   =        p9
idepth   =        p10
igatefn  =        p11
irise    =        p12
idecay   =        p13
iseed    =        p14
ivaramp  =        iamp*idepth
iminamp  =        iamp-ivaramp
kpanfac  randi    .5,ipanhz,iseed
kpanfac  =        .5+kpanfac                       	
kvarhz   randi    imaxhz-iminhz,irandhz,iseed
kgate    oscili   idepth,iminhz+kvarhz,igatefn,0   	
kenv     expseg   .01,irise,1,p3-irise-idecay,1,idecay,.001
asig     oscili   (iminamp+ivaramp*kgate)*kenv,ipitch,1
kleft    =        sqrt(kpanfac)
kright   =        sqrt(1-kpanfac)
         outs     (asig*kleft)*.8,(asig*kright)*.8
         endin



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



instr 23 ; Thank you for inspiration from Cecilia...



irvt = 2.0	; reverb time of this room (s)
irvl = 0.2	; reverb level at reference point (1 m)
imaxdist = 100.0	; maximum distance of source (m)

imaxdel = imaxdist / 343 ; maximum delay time (samples) 

adist linseg 30, 3, 2, 6, 2, 3, 60
atheta linseg 0, 3, 1, 6, 10, 3, 11
asound1 buzz 10000, 220, 5, 1
asound soundin "sev.aif"

adistdel = adist/343

aspam delayr imaxdel

adirect deltapi adistdel

aleft deltapi adistdel-0.1*sin(atheta)/343 
aright deltapi adistdel+0.1*sin(atheta)/343 

delayw asound/adist

arevb reverb adirect*sqrt(adist)*irvl, irvt 

aleftout = aleft*(1+sin(atheta))/2 + arevb 
arightout = aright*(1-sin(atheta))/2 + arevb 

outs aleftout, arightout

endin


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


instr 3

ifunc = p11                                           ;basic waveform
irel = .01                                            ;vibrato release time
idel1 = p3 - (p10 * p3)                               ; calculate initial delay (% of dur)
isus   = p3 - (idel1- irel)                           ; calculate remaining duration
                  
iamp = ampdb(p4)
iscale = iamp * .333                                  ; p4=amp
inote = cpspch(p5)                                    ; p5=freq
                   
k3    linseg  0, idel1, p9, isus, p9, irel, 0         ; p6=attack time
k2    oscil   k3, p8, 1                               ; p7=release time
k1    linen   iscale, p6, p3, p7                      ; p8=vib rate
a3    oscil   k1, inote*.999+k2, ifunc                ; p9=vib depth
a2    oscil   k1, inote*1.001+k2, ifunc               ; p10=vib delay (0-1)
a1    oscil   k1, inote+k2, ifunc
    
    outs    a1+a2+a3, a1+a2+a3
    
endin



;-)


</CsInstruments>

<CsScore>

; 'Unwanted Flight'  	Severine Baron	(Berklee college of Music. Spring 1998. Dr Boulanger's Csound class)
;Voices


f1 0 8192 10 1
f2 0 8192 19 .25 1 0 0
f3 0 8192 10 2 0 0 0 0 0 0 0 0 .1 .1   0 0 .1
f4 0 8192 7 0 2048 1 4096 -1 2048 0

f99 0 128  -2  738 1115 2450 80 70 60 73 110 266 677 1717 2404 80 70 55 80 162 183 634 1217 2388 80 70 50 58 144 230 543 789 2384 80 70 30 73 146 323
535 1868 2498 80 70 60 65 150 168 489 1358 1706 80 65 40 80 146 233 386 1977 2564 80 70 50 94 196 155 267 2290 2933 80 65 60 53 233 266 440 1032 2241
80 60 40 76 185 246 304 870 2239 80 65 40 63 250 483

f89 0 128 -2 877.324 1235.11 2749.51 80 70 60 103.0 118.333 296.667 901.136 2024.02 2832.39 80 70 65  123.333 175.333 243.333 756.886 1418.48 2768.64
80 70 50 100.667 176.0 290.0 583.646 906.042 2735.29 80 50 40 113.333 173.333 350.0 607.167 2367.79 3016.24 70 60 60 100.0 156.667 200.0 503.704
1632.04 1969.39 80 60 50 97.3333 266.667 333.333 437.378 2498.78 3082.44 80 60 50 71.6667 160.0 200.0 307.792 2782.17 3316.23 80 55 60 62.0 246.667
318.333 459.023 1141.84 2673.75 80 60 50 78.3333 215.333 296.667 378.113 962.245 2659.72 80 65 40 66.6667 266.667 280.0

f79 0 128 -2 1089.17 1402.5   3175.0 80 70 60 96.6667 133.333 616.667 1047.89 2288.15  3342.96 80 70 55 164.0 250.0 473.333 858.304 1589.13  3302.61
80 70 50 146.667 130.0 386.667 702.187 1074.37  3230.62 80 70 30  130.0 136.667 450.0 684.312 2613.44  3448.75 80 70 60  95.0 208.333 186.667 569.276
1808.1  2184.83 80 65 40  125.0 266.667 400.0 534.412 2795.88  3528.24 80 64 40  100.0 256.667 413.333 360.2 3177.83  3763.0  80 65 50  105.0 293.333
306.667 553.889 1400.19  3312.22 80 55 40  93.3333 166.667 400.0 423.964 1177.14  3245.0  80 65 40  106.667 350.0 366.667

f33 0 32 -2  5.11  5.02  5.03  5.05  6.01 5.09 5.11 6.02 5.11 5.06 6.03
f34 0 16 -2  .50 .0375  .0375 .0625 8 .0375 3  4 2 .0625  .25 1 .125 .0375 .0375 .0375

t 0 45


i4 0.000000 0


i1 0.000000  0  200  5 0.237754 0.260000 99 2 3 1.050000
i1 2.000000  20 200  5 0.237754 0.260000 89 2 3 1.050000
i1 10.000000 15 200  5 0.689196 0.260000 89 2 3 2.050000
i1 15.000000 15 200  5 0.689196 0.260000 89 2 3 1.050000
i1 36.000000 9  150  6 0.699191 0.260000 99 2 3 1.050000

i2 0.000000   10 200 5 0.240928 0.260000 89 2 3 1.050000
i2 3.000000   20 200 6 0.699191 0.260000 89 2 3 1.050000
i2 10.000000  20 200 3 0.409797 0.260000 89 2 3 1.050000
i2 14.000000  20 180 3 0.409797 0.260000 89 2 3 1.050000
i2 35.000000  20 200 4 0.689196 0.260000 89 2 3 1.050000
i2 40.000000  13 150 4 0.240928 0.260000 89 2 3 1.050000
i2 49.000000  11 200 2 0.409797 0.260000 89 2 3 1.050000
i2 54.000000  10 200 4 0.240928 0.260000 89 2 3 1.050000

i5 0.000000  0         200 7 0.031482 0.965168 89 10 8 2.000000
i5 2.000000  11.200000 200 4 0.249336 0.801373 89 5  6 2.000000
i5 11.000000 0.000000  200 8 0.031482 0.801373 89 8  4 2.000000
i5 19.000000 1.500000  200 6 0.249336 0.801373 89 5  6 2.000000

i15 0.000000  0  1.010000 51.065771
i15 2.000000  7  1.010000 51.065771
i15 8.000000 15  1.010000 51.065771
i15 13.000000 20 1.010000 51.065771
i15 37.000000 15 1.010000 51.065771
i15 41.000000 10 1.010000 51.065771

i17 0.000000 0
i8 42.000000  0  130 5 0.112941 0.260000 99 2 3 0.050000
i8 48.000000  30 150 5 0.409797 0.260000 89 2 3 1.050000
i8 68.000000  30 150 6 0.409797 0.260000 99 2 3 0.050000
i9 41.000000  10 150 5 0.699191 0.260000 89 2 3 0.050000
i9 47.000000  30 150 6 0.240928 0.260000 89 2 3 0.050000
i9 72.000000  30 150 5 0.240928 0.260000 89 2 2 0.050000

i11 43.000000  0         150 7 0.240928 0.260000 89 8   8 0.000000
i11 49.000000  11.200000 150 4 0.249336 0.260000 89 5   6 0.050000
i11 52.000000   0.000000 150 8 0.249336 0.260000 89 8   4 0.000000
i11 61.000000   1.500000 150 6 0.249336 0.260000 89 5   6 0.000000
i16 44.000000  30  1.010000 51.065771
i16 73.000000 30 1.010000 51.065771



;Low Plane stuff

; harmonic waveshape
f25     0       512     10      1       .2      .5
; bell function
f26     0     65   8    0    16   0    .1  0   15.9    1    15.9  0   .1   0  16 0

;=======================================================================;
; RANDAMOD    p4    p5    p6    p7    p8    p9    p10  p11   p12 p13  p14 ;
;             amp   pch   panhz rndhz mnhz  mxhz  dpth gatfn ris dcay seed;
;=======================================================================;
i7  20  15    6000  4.11  1     5     .5    3     .8   2     2   1   .12345
i7  21  14    6000  5.06  1     5     .5    2     .8   2     2   1   .54321
i7  22  13    6000  6.00  1     5     .5    2     .8   2     2   1   .1
i7  23  12    6000  6.09  1     5      1    3     .8   2     2   1   .2
i7  24  11    6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  25  10    6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  26   9    6000  7.03  1     5      2    4     .8   2     2   1   .5
i7  27   8    6000  8.04  1     5      2    4     .8   2     2   1   .6
i7  28   7    6000  7.05  1     5      2    4     .8   2     2   1   .7
i7  29   6    6000  8.01  1     5      3    7     .8   2     2   1   .8
i7  30   5    6000  8.06  1     5      3    7     .8   2     2   1   .9
i7  31  15    6000  4.11  1     5     .5    3     .8   2     2   1   .12345
i7  32  14    2000  5.06  1     5     .5    2     .2   2     1.3   1   .54321
i7  33  13    2000  6.00  1     5     .5    2     .2   2     1.3   1   .1
i7  34  12    3000  6.09  1     5      1    3     .4   2     2   1   .2
i7  35  11    6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  36  10    6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  37   9    4000  7.06  1     5      2    4     .3   2     1.3   1   .5
i7  38   8    6000  8.03  1     5      2    4     .8   2     2   1   .6
i7  39   7    6000  7.11  1     5      2    4     .8   2     2   1   .7
i7  40   6    6000  8.01  1     5      3    7     .8   2     2   1   .8
i7  41   5    6000  8.06  1     5      3    7     .8   2     2   1   .9
i7  42  15    5000  4.11  1     5     .5    3     .8   2     2   1   .12345
i7  43  14    6000  5.06  1     5     .5    2     .8   2     2   1   .54321
i7  44  13    6000  6.00  1     5     .5    2     .8   2     2   1   .1
i7  45  12    6000  6.09  1     5      1    3     .8   2     2   1   .2
i7  46  11    6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  47  10    8000  7.02  1     5      1    3     .8   2     2   1   .4
i7  48   9    8000  7.09  1     5      2    4     .8   2     2   1   .5
i7  49   8    8000  8.03  1     5      2    4     .8   2     2   1   .6
i7  50   7    4000  7.11  1     5      2    4     .8   2     2   1   .7
i7  51   6    4000  8.01  1     5      3    7     .8   2     2   1   .8
i7  52   5    3000  8.06  1     5      3    7     .8   2     2   1   .9
i7  53  15   4000  4.11  1     5     .5    3     .8   2     2   1   .12345
i7  54  14   6000  5.06  1     5     .5    2     .8   2     2   1   .54321
i7  55  13   6000  6.00  1     5     .5    2     .8   2     2   1   .1
i7  56  12   6000  6.09  1     5      1    3     .8   2     2   1   .2
i7  57  11   6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  58  10   6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  59   9   6000  7.09  1     5      2    4     .8   2     2   1   .5
i7  60   8   6000  8.05  1     5      2    4     .8   2     2   1   .6
i7  61   7   4000  7.11  1     5      2    4     .8   2     2   1   .7
i7  62   6   4000  8.01  1     5      3    7     .8   2     2   1   .8
i7  63   5   4000  8.07  1     5      3    7     .8   2     2   1   .9
i7  64  13   6000  6.00  1     5     .5    2     .8   2     2   1   .1
i7  65  12   6000  6.09  1     5      1    3     .8   2     2   1   .2
i7  66  11   6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  67  10   6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  68   9   6000  7.09  1     5      2    4     .8   2     2   1   .5
i7  69   8   6000  8.05  1     5      2    4     .8   2     2   1   .6
i7  70   7   4000  7.11  1     5      2    4     .8   2     2   1   .7
i7  71   6   4000  8.01  1     5      3    7     .8   2     2   1   .8
i7  72   5   2000  8.07  1     5      3    7     .3   2     1.3   1   .9
i7  73  12   4000  6.09  1     5      1    3     .3   2     1.3   1   .2
i7  74  11   6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  75  10   6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  77   9   6000  7.09  1     5      2    4     .8   2     2   1   .5
i7  78   8   6000  8.05  1     5      2    4     .8   2     2   1   .6
i7  79   7   4000  7.11  1     5      2    4     .8   2     2   1   .7
i7  80   6   4000  8.01  1     5      3    7     .8   2     2   1   .8
i7  81   5   4000  8.07  1     5      3    7     .8   2     2   1   .9
i7  82  12   6000  6.09  1     5      1    3     .8   2     2   1   .2
i7  83  11   4000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  84  10   6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  85   9   6000  7.09  1     5      2    4     .8   2     2   1   .5
i7  86   8   6000  8.05  1     5      2    4     .8   2     2   1   .6
i7  87   7   4000  7.11  1     5      2    4     .8   2     2   1   .7
i7  88   6   4000  8.01  1     5      3    7     .8   2     2   1   .8
i7  89   5   4000  8.07  1     5      3    7     .8   2     2   1   .9
i7  90  12   6000  6.09  1     5      1    3     .8   2     2   1   .23456
i7  91  11   6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  92  10   6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  93   9   6000  7.09  1     5      2    4     .8   2     2   1   .5
i7  94   8   6000  8.05  1     5      2    4     .8   2     2   1   .6
i7  95   7   4000  7.11  1     5      2    4     .8   2     2   1   .7
i7  96   6   2000  8.01  1     5      3    7     .8   2     2   1   .8
i7  97   10  500   8.07  1     5      3    7     .8   2     2   1   .9
i7  98   7   4000  7.10  1     5      2    4     .8   2     2   1   .7
i7  99   6   4000  8.01  1     5      3    7     .8   2     2   1   .8
i7  100  5   4000  8.07  1     5      3    7     .8   2     2   1   .9
i7  101 12   6000  6.09  1     5      1    3     .8   2     2   1   .23456
i7  102 11   6000  6.03  1     5      1    3     .8   2     2   1   .34567
i7  103 10   6000  7.02  1     5      1    3     .8   2     2   1   .4
i7  104  9   6000  7.09  1     5      2    4     .8   2     2   1   .5
i7  105  8   6000  8.05  1     5      2    4     .8   2     2   1   .6
i7  106  7   4000  7.11  1     5      2    4     .8   2     2   1   .7
i7  107  6   2000  8.01  1     5      3    7     .8   2     2   1   .8
i7  108  10  500   8.07  1     5      3    7     .8   2     2   1   .9



;Tampura

f 42 0 8192 10 1
i23 27 12
i23 31 12
i23 37 12
i23 47 12
i23 67 12
i23 77 12
i23 87 12
i23 97 30








   f40 0 2048 10 1                                               ; Sine
   f45 0 2048 10 1 .5 .3 .25 .2 .167 .14 .125 .111               ; Sawtooth
   f46 0 2048 10 1 0  .3 0   .2  0  .14  0   .111                ; Square
   f44 0 2048 10 1 1 1 1 .7 .5 .3 .1                             ; Pulse

; ins   strt    dur     amp      frq     atk     rel     vbrt    vbdpt   vibdl   waveform
   i3   105      15       65      5.09    .03     .7      3       9       .8      45
   i3   106      15       65      5.11    .03     .7      3       9       .8      45
   i3   107      15.3     65      5.09    .03     .7      3       9       .8      46
   i3   108     15.9     65      5.09    .03     .7      3       9       .8      46
   i3   109      15       65      5.11    .03     .7      3       9       .8      45
   i3   110      15       65      5.09    .03     .7      3       9       .8      45
   i3   111      15.3     65      5.09    .03     .7      3       9       .8      46
   i3   112      15.9     65      5.11    .03     .7      3       9       .8      46






</CsScore>

</CsoundSynthesizer>

